ApplicationPluginConvention (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.api.plugins

## [Groovy] Class ApplicationPluginConvention

- org.gradle.api.plugins.ApplicationPluginConvention

- A Convention used for the ApplicationPlugin.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Iterable<String>` | `applicationDefaultJvmArgs` Array of string arguments to pass to the JVM when running the application
    `CopySpec` | `applicationDistribution`
    `String` | `applicationName` The name of the application.
    `String` | `mainClassName` The fully qualified name of the application's main class.
    `Project` | `project`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ApplicationPluginConvention (Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Iterable<String> applicationDefaultJvmArgs

      Array of string arguments to pass to the JVM when running the application

    - #### CopySpec applicationDistribution

      The specification of the contents of the distribution.

      Use this CopySpec to include extra files/resource in the application distribution.

           apply plugin: 'application'

           applicationDistribution.from("some/dir") {
             include "*.txt"
           }

      Note that the application plugin pre configures this spec to; include the contents of "`src/dist`", copy the application start scripts into the "`bin`" directory, and copy the built jar and its dependencies into the "`lib`" directory.

    - #### String applicationName

      The name of the application.

    - #### String mainClassName

      The fully qualified name of the application's main class.

    - #### final Project project

  - ### Constructor Detail

    - #### ApplicationPluginConvention(Project project)